GitHub接続が見つかりません
APIは、このエラーを404 Not Foundで返します。エラーのtypeはhttps://lingo.dev/docs/api/errors/github-connection-not-foundです。すべてのエラーに共通する構造については、エラーとステータスコードを参照してください。
この組織内にGitHub接続<id>が見つかりません。接続が存在しないか、別の組織に属しているか、GitHub Appの接続ではありません。この組織の連携一覧で識別子を確認してください。
フィールド#
レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
例#
json
{
"detail": "Cannot find GitHub connection <id> in this organization. It does not exist, belongs to another organization, or is not a GitHub App connection. Check the id against this organization's integrations.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/github-connection-not-found",
"status": 404,
"title": "GitHub connection not found"
}このエラーを返すエンドポイント#
POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history